<template>
  <rui-button :icon="debouncing ? 'doc:check' : 'doc:duplicate'"
              :variant="debouncing ? 'recording' : null"
              caption="Copy"
              :disabled="!apiAvailable || !content"
              text
              @click="copy" />
</template>

<script>
import { RuiButton } from '../../../src/components/index.js'
import { clipboardCopySupported, copyToClipboard } from '../../utils/CopyFromElement.js'

export default {
  name: 'DocCopyToClipboard',
  components: { RuiButton },
  props: {
    content: { required: false, type: String, default: '' },
  },
  data () {
    return {
      apiAvailable: clipboardCopySupported(),
      debouncing: false,
    }
  },
  methods: {
    copy () {
      this.debouncing = true
      copyToClipboard(this.content)
      setTimeout(() => { this.debouncing = false }, 500)
    },
  },
}
</script>
